/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package number2;

import java.util.ArrayList;
import java.util.List;
import java.util.Arrays;
import java.util.Scanner;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.util.regex.MatchResult;

/**
* Class for text.
* Using regular expressions and their methods.
* @author Sofia Iakovleva
* @version 1.0
*/
public class Text{
  /**
  * Method for entering text and outputting the string we need
  */
  public static void main(String[] args){
    System.out.println("Text: ");
    Scanner scanner = new Scanner(System.in);
    String text = scanner.nextLine();
    System.out.println(text(text));
}

/**
* Method for displaying the word the numeral goes with
* @param text
* @return string
*/
public static String text(String text){
  Pattern pattern = Pattern.compile("(\\b)[пП]ят(ый|ая|ое|ые|ого|ому|ом|ой|ую|ою|ых|ым|ыми)\\s+(\\w+)", Pattern.UNICODE_CHARACTER_CLASS);
  Matcher matcher = pattern.matcher(text);
  ArrayList<String> list = new ArrayList<String>();
  while (matcher.find()){
    list.add(matcher.group(2));
  }
  return list.toArray(new String[0]);
 }
}
